Generates an SHA-256 message digest

- « Imagick::getImageScene

- Imagick::getImageSize »

- PHP Manual
- Imagick
- Generates an SHA-256 message digest

# Imagick::getImageSignature

(PECL imagick 2, PECL imagick 3)

Imagick::getImageSignature — Generates an SHA-256 message digest

### Description

public Imagick::getImageSignature(): string

Generates an SHA-256 message digest for the image pixel stream.

### Parameters

This function has no parameters.

### Return Values

Returns a string containing the SHA-256 hash of the file.

### Errors/Exceptions

Throws ImagickException on error.